# StyleConfigurationTable (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class StyleConfigurationTable

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
  - - org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration
    - - org.deidentifier.arx.gui.view.impl.common.table.StyleConfigurationTable

- All Implemented Interfaces:
    CTComponent, org.eclipse.nebula.widgets.nattable.config.IConfiguration

      public class StyleConfigurationTable
      extends CTStyleConfiguration

  The table style configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.eclipse.swt.graphics.Color` | `bgColor` TODO
    `org.eclipse.nebula.widgets.nattable.style.BorderStyle` | `borderStyle` TODO
    `org.eclipse.nebula.widgets.nattable.painter.cell.ICellPainter` | `cellPainter` TODO
    `org.eclipse.swt.graphics.Color` | `fgColor` TODO
    `org.eclipse.swt.graphics.Font` | `font` TODO
    `org.eclipse.swt.graphics.Color` | `gradientBgColor` TODO
    `org.eclipse.swt.graphics.Color` | `gradientFgColor` TODO
    `org.eclipse.nebula.widgets.nattable.style.HorizontalAlignmentEnum` | `hAlign` TODO
    `org.eclipse.nebula.widgets.nattable.style.VerticalAlignmentEnum` | `vAlign` TODO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleConfigurationTable(CTConfiguration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration

      `getConfig`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

      `configureLayer, configureUiBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bgColor

          public org.eclipse.swt.graphics.Color bgColor

      TODO

    - #### fgColor

          public org.eclipse.swt.graphics.Color fgColor

      TODO

    - #### gradientBgColor

          public org.eclipse.swt.graphics.Color gradientBgColor

      TODO

    - #### gradientFgColor

          public org.eclipse.swt.graphics.Color gradientFgColor

      TODO

    - #### font

          public org.eclipse.swt.graphics.Font font

      TODO

    - #### hAlign

          public org.eclipse.nebula.widgets.nattable.style.HorizontalAlignmentEnum hAlign

      TODO

    - #### vAlign

          public org.eclipse.nebula.widgets.nattable.style.VerticalAlignmentEnum vAlign

      TODO

    - #### borderStyle

          public org.eclipse.nebula.widgets.nattable.style.BorderStyle borderStyle

      TODO

    - #### cellPainter

          public org.eclipse.nebula.widgets.nattable.painter.cell.ICellPainter cellPainter

      TODO

  - ### Constructor Detail

    - #### StyleConfigurationTable

          public StyleConfigurationTable(CTConfiguration config)

      Parameters:
        `config` -

  - ### Method Detail

    - #### configureRegistry

          public void configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)